## neutron 9.4.1

=== debian/changelog ===
neutron (2:9.4.1-0ubuntu1~cloud3) xenial-newton; urgency=medium

  * d/neutron-openvswitch-agent.service.in,
    d/neutron-openvswitch-agent.neutron-ovs-cleanup.service.in:
    Ensure neutron-ovs-cleanup runs after openvswitch-switch and
    neutron-openvswitch-agent runs after neutron-ovs-cleanup (LP: #1752838).

 -- Seyeong Kim <seyeong.kim@canonical.com>  Wed, 28 Mar 2018 04:44:38 -0700

neutron (2:9.4.1-0ubuntu1~cloud2.2) xenial-newton; urgency=medium

  * d/neutron-openvswitch-agent.service.in,
    d/neutron-openvswitch-agent.neutron-ovs-cleanup.service.in:
    Revert changes made for LP:#1752838 due to regression (LP: #1758411).

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 23 Mar 2018 15:12:23 -0400

neutron (2:9.4.1-0ubuntu1~cloud2.1) xenial-newton; urgency=medium

  * d/neutron-openvswitch-agent.service.in: Ensure
    neutron-openvswitch-agent starts after neutron-ovs-cleanup.
  * d/neutron-openvswitch-agent.neutron-ovs-cleanup.service.in:
    Adding dependency on openvswitch-switch.service because
    neutron-ovs-cleanup will fail if it is run earlier than it
    (LP: #1752838).

 -- Seyeong Kim <seyeong.kim@canonical.com>  Thu, 01 Mar 2018 17:19:08 -0800

neutron (2:9.4.1-0ubuntu1~cloud1) xenial-newton; urgency=medium

  * d/p/call-update_all_ha_network_port_statuses-on-agent-start.patch:
    Cherry-pick from upstream stable/ocata branch to prevent multiple
    masters for L3HA (LP: #1731595).

 -- Corey Bryant <corey.bryant@canonical.com>  Tue, 12 Dec 2017 12:59:27 -0500

neutron (2:9.4.1-0ubuntu1~cloud0) xenial-newton; urgency=medium

  * New upstream version.
  * d/p/Update-the-host_id-for-network-router_gateway-interf.patch:
    Dropped. Fixed upstream.
  * New stable point release for OpenStack Newton (LP: #1736150).

 -- Corey Bryant <corey.bryant@canonical.com>  Mon, 04 Dec 2017 12:42:30 -0500

neutron (2:9.4.0-0ubuntu1.1~cloud0) xenial-newton; urgency=medium

  * d/p/Update-the-host_id-for-network-router_gateway-interf.patch:
    keep the router's gateway interface updated when keepalived fails over
    (LP: #1694337).

 -- Felipe Reyes <felipe.reyes@canonical.com>  Tue, 25 Jul 2017 12:19:11 +0100

## neutron 10.0.0

=== debian/changelog ===
neutron (2:10.0.0-0ubuntu3) zesty; urgency=medium

  * d/rules: Switch to direct use of ostestr.
  * d/p/fix-db-path.patch: Drop patch, we do want to run unit tests with
    an in-memory sqlite db otherwise they stomp all over each other.

 -- James Page <james.page@ubuntu.com>  Fri, 17 Mar 2017 17:25:06 +0000

neutron (2:10.0.0-0ubuntu2) zesty; urgency=medium

  * d/control: Bump minimum pecan version to 1.1.2 (LP: #1668578).

 -- James Page <james.page@ubuntu.com>  Wed, 15 Mar 2017 10:39:34 +0000

neutron (2:10.0.0-0ubuntu1) zesty; urgency=medium

  * New upstream release for OpenStack Ocata.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 22 Feb 2017 09:56:20 -0500

neutron (2:10.0.0~rc2-0ubuntu1) zesty; urgency=medium

  * d/patches/fix-db-path.patch: Dont use an in-memory sqlite
    database for unit tests. 
  * New upstream milestone for Ocata. 

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 20 Feb 2017 10:17:59 -0500

neutron (2:10.0.0~rc1-0ubuntu1) zesty; urgency=medium

  * debian/control: Add python-weakrefmethod. 
  * New upstream milestone for Ocata.

 -- Chuck Short <zulcss@ubuntu.com>  Mon, 06 Feb 2017 13:03:35 -0500

neutron (2:10.0.0~b3-0ubuntu1) zesty; urgency=medium

  * New upstream milestone for OpenStack Ocata.
  * d/control: Align (build-)depends with upstream.
  * d/rules: Run the run_tests.sh script.

 -- Chuck Short <zulcss@ubuntu.com>  Fri, 27 Jan 2017 10:07:09 -0500

neutron (2:10.0.0~b2-0ubuntu2) zesty; urgency=medium

  [ Chuck Short ]
  * debian/control: Add pyroute2 and python-oslo.privsep as dependency. 

  [ Corey Bryant ]
  * d/tests/control: Use needs-recommends to ensure neutron-plugin-ml2 is
    installed.

 -- Corey Bryant <corey.bryant@canonical.com>  Wed, 04 Jan 2017 11:31:59 -0500

neutron (2:10.0.0~b2-0ubuntu1) zesty; urgency=medium

  * New upstream version.
  * debian/rules: Specify the path to the unit tests.
  * New upstream milestone for OpenStack Ocata.

 -- Corey Bryant <corey.bryant@canonical.com>  Fri, 16 Dec 2016 14:42:03 -0500

neutron (2:10.0.0~b1-0ubuntu1) zesty; urgency=medium

  [ Chuck Short ]
  * New upstream version.
  * debian/control: 
    - Add python-tenacity.
    - Bump version dependencies.
  * debian/tests/neutron-server: Append log file for better debugining.
  * New upstream version. 

  [ David Della Vecchia ]
  * New upstream version.
  * d/p/check-namespace-before-getting-devices.patch: Dropped. Fixed upstream.
  * d/p/flake8-legacy.patch: Rebased.
  * d/control: Align (build-)depends with upstream.
  * d/rules: Add PBR_VERSION to set correct distro version for package build.
  * New upstream milestone for OpenStack Ocata.
  * d/control: Align (build-)depends with upstream.

 -- David Della Vecchia <ddv@canonical.com>  Wed, 16 Nov 2016 15:42:28 -0500

neutron (2:9.0.0-0ubuntu3.1) zesty; urgency=medium

  * d/p/check-namespace-before-getting-devices.patch: Cherry-pick patch
    from upstream master branch to check if router namespace exists before
    getting devices (LP: #1573073).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 10 Nov 2016 17:01:15 -0500

neutron (2:9.0.0-0ubuntu3) zesty; urgency=medium

  * debian/tests/neutron-server: Add debug statemens for better 
    debugging. 

 -- Chuck Short <zulcss@ubuntu.com>  Tue, 01 Nov 2016 13:34:53 -0400

neutron (2:9.0.0-0ubuntu2.1) zesty; urgency=medium

  * d/p/check-namespace-before-getting-devices.patch: Cherry-pick patch
    from upstream master branch to check if router namespace exists before
    getting devices (LP: #1573073).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 10 Nov 2016 13:50:40 -0500

neutron (2:9.0.0-0ubuntu2) zesty; urgency=medium

  * d/neutron-openvswitch-agent.neutron-ovs-cleanup.service.in: Fix
    service config typo (LP: #1635369).

 -- Corey Bryant <corey.bryant@canonical.com>  Thu, 20 Oct 2016 14:16:26 -0400

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

DEBVERS ?= $(shell dpkg-parsechangelog | sed -n -e 's/^Version: //p')
VERSION ?= $(shell echo '$(DEBVERS)' | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/./g')
export PBR_VERSION=$(VERSION)

include /usr/share/openstack-pkg-tools/pkgos.make

%:
	dh $@  --with python2,systemd

override_dh_install:
	PYTHONPATH=$(CURDIR) $(CURDIR)/tools/generate_config_file_samples.sh
	find $(CURDIR)/etc -type f | xargs rename 's/\.sample$$//'
	patch -p1 < debian/patches/fix-neutron-configuration.patch
	dh_install --fail-missing -X/usr/etc -X/usr/bin/neutron-vpn-agent \
		-X/usr/bin/neutron-lbaas-agent -X/usr/bin/neutron-hyperv-agent
	patch -p1 -R < debian/patches/fix-neutron-configuration.patch

override_dh_systemd_enable:
	dh_systemd_enable -pneutron-openvswitch-agent --name=neutron-ovs-cleanup \
		neutron-ovs-cleanup.service
	dh_systemd_enable -pneutron-linuxbridge-agent --name=neutron-linuxbridge-cleanup \
		neutron-linuxbridge-cleanup.service
	dh_systemd_enable

override_dh_installinit:
	dh_installinit -pneutron-openvswitch-agent --no-start \
        --name=neutron-ovs-cleanup
	dh_installinit -pneutron-linuxbridge-agent --no-start \
        --name=neutron-linuxbridge-cleanup
	dh_installinit --error-handler=true

override_dh_auto_clean:
	dh_auto_clean
	rm -f debian/*.upstart debian/*.init debian/*.service .testrepository

get-orig-source:
	uscan --verbose --force-download --rename --destdir=../build-area

ifeq (,$(findstring nocheck, $(DEB_BUILD_OPTIONS)))
override_dh_auto_test:
	ostestr
endif

## neutron 10.0.0%7eb1

=== requirements.txt ===
# The order of packages is significant, because pip processes them in the order
# of appearance. Changing the order has an impact on the overall integration
# process, which may cause wedges in the gate later.
pbr>=1.8 # Apache-2.0

Paste # MIT
PasteDeploy>=1.5.0 # MIT
Routes!=2.0,!=2.1,!=2.3.0,>=1.12.3;python_version=='2.7' # MIT
Routes!=2.0,!=2.3.0,>=1.12.3;python_version!='2.7' # MIT
debtcollector>=1.2.0 # Apache-2.0
eventlet!=0.18.3,>=0.18.2 # MIT
pecan!=1.0.2,!=1.0.3,!=1.0.4,!=1.2,>=1.0.0 # BSD
greenlet>=0.3.2 # MIT
httplib2>=0.7.5 # MIT
requests>=2.10.0 # Apache-2.0
Jinja2>=2.8 # BSD License (3 clause)
keystonemiddleware!=4.5.0,>=4.2.0 # Apache-2.0
netaddr!=0.7.16,>=0.7.13 # BSD
netifaces>=0.10.4 # MIT
neutron-lib>=1.0.0 # Apache-2.0
python-neutronclient>=5.1.0 # Apache-2.0
tenacity>=3.2.1 # Apache-2.0
ryu!=4.1,!=4.2,!=4.2.1,!=4.4,!=4.8,>=3.30 # Apache-2.0
SQLAlchemy<1.1.0,>=1.0.10 # MIT
WebOb>=1.6.0 # MIT
keystoneauth1>=2.14.0 # Apache-2.0
alembic>=0.8.4 # MIT
six>=1.9.0 # MIT
stevedore>=1.17.1 # Apache-2.0
oslo.cache>=1.5.0 # Apache-2.0
oslo.concurrency>=3.8.0 # Apache-2.0
oslo.config!=3.18.0,>=3.14.0 # Apache-2.0
oslo.context>=2.9.0 # Apache-2.0
oslo.db!=4.13.1,!=4.13.2,>=4.11.0 # Apache-2.0
oslo.i18n>=2.1.0 # Apache-2.0
oslo.log>=3.11.0 # Apache-2.0
oslo.messaging>=5.2.0 # Apache-2.0
oslo.middleware>=3.0.0 # Apache-2.0
oslo.policy>=1.15.0 # Apache-2.0
oslo.reports>=0.6.0 # Apache-2.0
oslo.rootwrap>=5.0.0 # Apache-2.0
oslo.serialization>=1.10.0 # Apache-2.0
oslo.service>=1.10.0 # Apache-2.0
oslo.utils>=3.18.0 # Apache-2.0
oslo.versionedobjects>=1.13.0 # Apache-2.0
osprofiler>=1.4.0 # Apache-2.0
ovs>=2.6.1 # Apache-2.0

python-novaclient!=2.33.0,>=2.29.0 # Apache-2.0
python-designateclient>=1.5.0 # Apache-2.0

## neutron 10.0.4

=== debian/changelog ===
neutron (2:10.0.4-1) unstable; urgency=medium

  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 04 Oct 2017 10:53:52 +0200

neutron (2:10.0.2-1) unstable; urgency=medium

  * New upstream version

 -- Michal Arbet <michal.arbet@ultimum.io>  Fri, 04 Aug 2017 14:39:52 +0200

=== debian/control ===
Source: neutron
Section: net
Priority: optional
Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
Uploaders: Thomas Goirand <zigo@debian.org>,
           Gustavo Panizzo <gfa@zumbi.com.ar>,
           Ivan Udovichenko <iudovichenko@mirantis.com>,
Build-Depends: debhelper (>= 10),
               dh-python,
               dh-systemd,
               openstack-pkg-tools (>= 53~),
               po-debconf,
               python-all,
               python-pbr (>= 1.8),
               python-setuptools,
               python-sphinx,
Build-Depends-Indep: alembic (>= 0.8.8),
                     bridge-utils,
                     python-cliff (>= 1.15.0),
                     python-coverage,
                     python-ddt (>= 1.0.1),
                     python-debtcollector (>= 1.2.0),
                     python-designateclient (>= 1.5.0),
                     python-eventlet (>= 0.18.4),
                     python-fixtures (>= 3.0.0),
                     python-flake8,
                     python-weakrefmethod (>= 1.0.2),
                     python-gflags,
                     python-oslo.privsep (>= 1.9.0),
                     python-greenlet,
                     python-hacking (>= 0.11.0),
                     python-httplib2 (>= 0.7.5),
                     python-jinja2 (>= 2.8),
                     python-keystoneauth1 (>= 2.18.0),
                     python-keystonemiddleware (>= 4.12.0),
                     python-mock (>= 1.3),
                     python-netaddr (>= 0.7.13),
                     python-netifaces (>= 0.10.4),
                     python-neutron-lib (>= 1.1.0),
                     python-neutronclient (>= 1:5.1.0),
                     python-tenacity (>= 3.1.1),
                     python-novaclient (>= 2:6.0.0),
                     python-openvswitch (>= 2.6.1),
                     python-pyroute2 (>= 0.4.12),
                     python-os-testr (>= 0.7.0),
                     python-oslo.cache (>= 1.5.0),
                     python-oslo.concurrency (>= 3.8.0),
                     python-oslo.config (>= 1:3.18.0),
                     python-oslo.context (>= 2.9.0),
                     python-oslo.db (>= 4.15.0),
                     python-oslo.i18n (>= 2.1.0),
                     python-oslo.log (>= 3.11.0),
                     python-oslo.messaging (>= 5.14.0),
                     python-oslo.middleware (>= 3.0.0),
                     python-oslo.policy (>= 1.17.0),
                     python-oslo.reports (>= 0.6.0),
                     python-oslo.rootwrap (>= 5.0.0),
                     python-oslo.serialization (>= 2.0.0),
                     python-oslo.service (>= 1.10.0),
                     python-oslo.utils (>= 3.18.0),
                     python-oslo.versionedobjects (>= 1.17.0),
                     python-oslosphinx (>= 2.5.0),
                     python-oslotest (>= 1:1.10.0),
                     python-osprofiler (>= 1.4.0),
                     python-paste,
                     python-pastedeploy (>= 1.5.0),
                     python-pecan (>= 1.0.0),
                     python-pep8,
                     python-pymysql,
                     python-pyudev,
                     python-requests (>= 2.10.0),
                     python-requests-mock (>= 1.0),
                     python-retrying,
                     python-routes,
                     python-ryu (>= 4.9),
                     python-six (>= 1.9.0),
                     python-sqlalchemy (>= 1.0.12),
                     python-stevedore (>= 1.17.1),
                     python-tempest (>= 1:12.1.0),
                     python-testresources,
                     python-testscenarios,
                     python-testtools (>= 1.4.0),
                     python-unittest2,
                     python-webob (>= 1.6.0),
                     python-webtest,
                     subunit,
                     tempest (>= 1:12.1.0),
                     testrepository,
# python-ryu should be >= 4.5
Standards-Version: 3.9.8
Homepage: http://neutron.openstack.org/
Vcs-Browser: https://anonscm.debian.org/cgit/openstack/neutron.git/
Vcs-Git: https://anonscm.debian.org/git/openstack/neutron.git

Package: python-neutron
Architecture: all
Section: python
Depends: alembic (>= 0.8.8),
         conntrack,
         iproute2,
         ipset,
         python-debtcollector (>= 1.2.0),
         python-designateclient (>= 1.5.0),
         python-eventlet (>= 0.18.4),
         python-gflags,
         python-greenlet,
         python-httplib2 (>= 0.7.5),
         python-jinja2 (>= 2.8),
         python-keystoneauth1 (>= 2.18.0),
         python-keystonemiddleware (>= 4.12.0),
         python-tenacity (>= 3.1.1),
         python-weakrefmethod (>= 1.0.2),
         python-mysqldb,
         python-netaddr (>= 0.7.13),
         python-netifaces (>= 0.10.4),
         python-pyroute2 (>= 0.4.12),
         python-neutron-lib (>= 1.1.0),
         python-neutronclient (>= 1:5.1.0),
         python-novaclient (>= 2:6.0.0),
         python-openvswitch (>= 2.6.1),
         python-oslo.cache (>= 1.5.0),
         python-oslo.concurrency (>= 3.8.0),
         python-oslo.config (>= 1:3.18.0),
         python-oslo.context (>= 2.9.0),
         python-oslo.db (>= 4.15.0),
         python-oslo.i18n (>= 2.1.0),
         python-oslo.log (>= 3.11.0),
         python-oslo.messaging (>= 5.14.0),
         python-oslo.middleware (>= 3.0.0),
         python-oslo.policy (>= 1.17.0),
         python-oslo.privsep (>= 1.9.0),
         python-oslo.reports (>= 0.6.0),
         python-oslo.rootwrap (>= 5.0.0),
         python-oslo.serialization (>= 2.0.0),
         python-oslo.service (>= 1.10.0),
         python-oslo.utils (>= 3.18.0),
         python-oslo.versionedobjects (>= 1.17.0),
         python-osprofiler (>= 1.4.0),
         python-paste,
         python-pastedeploy (>= 1.5.0),
         python-pbr (>= 1.8),
         python-pecan (>= 1.0.0),
         python-psycopg2,
         python-pymysql,
         python-pyudev,
         python-requests (>= 2.10.0),
         python-retrying,
         python-routes,
         python-ryu (>= 4.9),
         python-six (>= 1.9.0),
         python-sqlalchemy (>= 1.0.12),
         python-stevedore (>= 1.17.1),
         python-webob (>= 1.6.0),
         ${misc:Depends},
         ${python:Depends},
Recommends: iputils-arping,
Replaces: neutron-plugin-linuxbridge-agent (<<2015.1~b3-1),
          neutron-plugin-openvswitch-agent (<<2015.1~b3-1),
Breaks: neutron-plugin-linuxbridge-agent (<<2015.1~b3-1),
        neutron-plugin-openvswitch-agent (<<2015.1~b3-1),
Provides: ${python:Provides},
Description: OpenStack virtual network service - Python library
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Python library.

Package: neutron-server
Architecture: all
Depends: adduser,
         debconf,
         lsb-base,
         neutron-common (= ${source:Version}),
         python-openstackclient,
         q-text-as-data,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack virtual network service - server
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the Neutron server.

Package: neutron-common
Architecture: all
Depends: adduser,
         dbconfig-common,
         debconf,
         dpkg-dev,
         python-mysqldb,
         python-neutron (= ${source:Version}),
         python-pyparsing (>=1.5.7),
         python-sqlalchemy (>= 1.0.12),
         sqlite3,
         ${misc:Depends},
         ${python:Depends},
Provides: neutron-plugin,
          neutron-plugin-bigswitch,
          neutron-plugin-brocade,
          neutron-plugin-cisco,
          neutron-plugin-hyperv,
          neutron-plugin-linuxbridge,
          neutron-plugin-metaplugin,
          neutron-plugin-ml2,
          neutron-plugin-nec,
          neutron-plugin-nicira,
          neutron-plugin-openvswitch,
          neutron-plugin-plumgrid,
          neutron-plugin-ryu,
Replaces: neutron-plugin-linuxbridge-agent (<<2015.1~b3-1),
          neutron-plugin-openvswitch-agent (<<2015.1~b3-1),
Breaks: neutron-plugin-linuxbridge-agent (<<2015.1~b3-1),
        neutron-plugin-openvswitch-agent (<<2015.1~b3-1),
Description: OpenStack virtual network service - common files
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the common files.

Package: neutron-plugin-nec-agent
Architecture: all
Provides: neutron-plugin,
Depends: neutron-common (= ${source:Version}),
         sudo,
         ${misc:Depends},
         ${python:Depends},
Description: OpenStack virtual network service - NEC agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the NEC plugin agent.

Package: neutron-l3-agent
Architecture: all
Depends: adduser,
         debconf,
         iputils-arping,
         keepalived,
         neutron-common (= ${source:Version}),
         sudo,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Recommends: openvswitch-switch,
Conflicts: neutron-vpn-agent,
Description: OpenStack virtual network service - l3 agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the l3 agent.

Package: neutron-dhcp-agent
Architecture: all
Depends: adduser,
         dnsmasq-base (>= 2.63),
         dnsmasq-utils (>= 2.63),
         neutron-common (= ${source:Version}),
         sudo,
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack virtual network service - DHCP agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the DHCP agent.

Package: neutron-metadata-agent
Architecture: all
Depends: adduser,
         neutron-common (= ${source:Version}),
         ${misc:Depends},
         ${ostack-lsb-base},
         ${python:Depends},
Description: OpenStack virtual network service - metadata agent
 Neutron provides an API to dynamically request and configure virtual networks.
 These networks connect "interfaces" from other OpenStack services (such as
 vNICs from Nova VMs). The Neutron API supports extensions to provide advanced
 network capabilities, including QoS, ACLs, and network monitoring.
 .
 This package provides the metadata proxy agent.

Package: neutron-metering-agent
Architecture: all
Depends: adduser,
         debconf,
         lsb-base,
         neutron-common (= ${source:Version}),
         ${misc:Depends},

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/openstack-pkg-tools/pkgos.make
export OSLO_PACKAGE_VERSION=$(shell dpkg-parsechangelog | grep Version: | cut -d' ' -f2 | sed -e 's/^[[:digit:]]*://' -e 's/[-].*//' -e 's/~/.0/' | head -n 1)

PYTHONS:=$(shell pyversions -vr)

%:
	dh $@ --buildsystem=python_distutils --with python2,systemd

override_dh_auto_install:
	echo "Do nothing"

override_dh_install:
	rm -rf $(CURDIR)/debian/tmp
	python2.7 setup.py install --install-layout=deb --root=$(CURDIR)/debian/tmp
	cp -auxf neutron $(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages
	rm -rf $(CURDIR)/debian/tmp/usr/etc

	# dhcp_agent.ini
	mkdir -p $(CURDIR)/debian/neutron-dhcp-agent/etc/neutron
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator --output-file $(CURDIR)/debian/neutron-dhcp-agent/etc/neutron/dhcp_agent.ini \
		--wrap-width 140 \
		--namespace neutron.base.agent \
		--namespace neutron.dhcp.agent \
		--namespace oslo.log
	sed -i 's|^[ #\t]*interface_driver[ \t]*=.*|interface_driver = neutron.agent.linux.interface.OVSInterfaceDriver|' $(CURDIR)/debian/neutron-dhcp-agent/etc/neutron/dhcp_agent.ini
	sed -i 's|^[ #\t]*ovs_integration_bridge[ \t]*=.*|ovs_integration_bridge = br-int|' $(CURDIR)/debian/neutron-dhcp-agent/etc/neutron/dhcp_agent.ini
	sed -i 's|^[ #\t]*dhcp_driver[ \t]*=.*|dhcp_driver = neutron.agent.linux.dhcp.Dnsmasq|' $(CURDIR)/debian/neutron-dhcp-agent/etc/neutron/dhcp_agent.ini
	sed -i 's|^[ #\t]*enable_isolated_metadata[ \t]*=.*|enable_isolated_metadata = False|' $(CURDIR)/debian/neutron-dhcp-agent/etc/neutron/dhcp_agent.ini
	sed -i 's|^[ #\t]*dnsmasq_config_file[ \t]*=.*|dnsmasq_config_file = /etc/neutron/dnsmasq-neutron.conf|' $(CURDIR)/debian/neutron-dhcp-agent/etc/neutron/dhcp_agent.ini

	# l3_agent.ini
	mkdir -p $(CURDIR)/debian/neutron-l3-agent/etc/neutron
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator --output-file $(CURDIR)/debian/neutron-l3-agent/etc/neutron/l3_agent.ini \
		--wrap-width 140 \
		--namespace neutron.base.agent \
		--namespace neutron.l3.agent \
		--namespace oslo.log
	sed -i 's|^[ #\t]*interface_driver[ \t]*=.*|interface_driver = openvswitch|' $(CURDIR)/debian/neutron-l3-agent/etc/neutron/l3_agent.ini
	sed -i 's|^[ #\t]*handle_internal_only_routers[ \t]*=.*|handle_internal_only_routers = True|' $(CURDIR)/debian/neutron-l3-agent/etc/neutron/l3_agent.ini
	sed -i 's|^[ #\t]*external_network_bridge[ \t]*=.*|external_network_bridge = br-ex|' $(CURDIR)/debian/neutron-l3-agent/etc/neutron/l3_agent.ini
	sed -i 's|^[ #\t]*enable_metadata_proxy[ \t]*=.*|enable_metadata_proxy = True|' $(CURDIR)/debian/neutron-l3-agent/etc/neutron/l3_agent.ini
	sed -i 's|^[ #\t]*agent_mode[ \t]*=.*|agent_mode = legacy|' $(CURDIR)/debian/neutron-l3-agent/etc/neutron/l3_agent.ini

	# linuxbridge_agent.ini
	mkdir -p $(CURDIR)/debian/neutron-linuxbridge-agent/etc/neutron/plugins/ml2
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator --output-file $(CURDIR)/debian/neutron-linuxbridge-agent/etc/neutron/plugins/ml2/linuxbridge_agent.ini \
		--wrap-width 140 \
		--namespace neutron.ml2.linuxbridge.agent \
		--namespace oslo.log

	# macvtap_agent.ini
	mkdir -p $(CURDIR)/debian/neutron-macvtap-agent/etc/neutron/plugins/ml2
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator --output-file $(CURDIR)/debian/neutron-macvtap-agent/etc/neutron/plugins/ml2/macvtap_agent.ini \
		--wrap-width 140 \
		--namespace neutron.ml2.macvtap.agent \
		--namespace oslo.log

	# metadata_agent.ini
	mkdir -p $(CURDIR)/debian/neutron-metadata-agent/usr/share/neutron-metadata-agent
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator --output-file $(CURDIR)/debian/neutron-metadata-agent/usr/share/neutron-metadata-agent/metadata_agent.ini \
		--wrap-width 140 \
		--namespace neutron.metadata.agent \
		--namespace oslo.log \
		--namespace oslo.cache
	sed -i 's|^[ #\t]*nova_metadata_protocol[ \t]*=.*|nova_metadata_protocol = http|' $(CURDIR)/debian/neutron-metadata-agent/usr/share/neutron-metadata-agent/metadata_agent.ini
	sed -i 's|^[ #\t]*nova_metadata_ip[ \t]*=.*|nova_metadata_ip = 127.0.0.1|' $(CURDIR)/debian/neutron-metadata-agent/usr/share/neutron-metadata-agent/metadata_agent.ini

	# metering_agent.ini
	mkdir -p $(CURDIR)/debian/neutron-metering-agent/etc/neutron
	PYTHONPATH=$(CURDIR)/debian/tmp oslo-config-generator --output-file $(CURDIR)/debian/neutron-metering-agent/etc/neutron/metering_agent.ini \
		--wrap-width 140 \
		--namespace neutron.metering.agent \
		--namespace oslo.log

	# ml2_conf.ini
	mkdir -p $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator --output-file $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2/ml2_conf.ini \
		--wrap-width 140 \
		--namespace neutron.ml2 \
		--namespace oslo.log
	sed -i 's|^[ #\t]*type_drivers[ \t]*=.*|type_drivers = flat,gre|' $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2/ml2_conf.ini
	sed -i 's|^[ #\t]*tenant_network_types[ \t]*=.*|tenant_network_types = gre|' $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2/ml2_conf.ini
	sed -i 's|^[ #\t]*mechanism_drivers[ \t]*=.*|mechanism_drivers = openvswitch,l2population|' $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2/ml2_conf.ini
	sed -i 's|^[ #\t]*flat_networks[ \t]*=.*|flat_networks = external|' $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2/ml2_conf.ini
	sed -i 's|^[ #\t]*tunnel_id_ranges[ \t]*=.*|tunnel_id_ranges = 1:1000|' $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2/ml2_conf.ini
	sed -i 's|^[ #\t]*enable_security_group[ \t]*=.*|enable_security_group = True|' $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2/ml2_conf.ini
	sed -i 's|^[ #\t]*enable_ipset[ \t]*=.*|enable_ipset = True |' $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2/ml2_conf.ini
	pkgos-fix-config-default $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2/ml2_conf.ini ml2 extension_drivers port_security,qos
	

	# ml2_conf_sriov.ini
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator --output-file $(CURDIR)/debian/neutron-common/etc/neutron/plugins/ml2/ml2_conf_sriov.ini \
		--wrap-width 140 \
		--namespace neutron.ml2.sriov \
		--namespace oslo.log

	# neutron.conf
	mkdir -p $(CURDIR)/debian/neutron-common/usr/share/neutron-common
	PYTHONPATH=$(CURDIR)/debian/tmp/usr/lib/python2.7/dist-packages oslo-config-generator --output-file $(CURDIR)/debian/neutron-common/usr/share/neutron-common/neutron.conf \
		--wrap-width 140 \
		--namespace neutron \
		--namespace neutron.agent \
		--namespace neutron.db \
		--namespace neutron.extensions \
		--namespace neutron.qos \
		--namespace nova.auth \
		--namespace oslo.log \
		--namespace oslo.db \
		--namespace oslo.policy \
		--namespace oslo.concurrency \
		--namespace oslo.messaging \
		--namespace oslo.middleware.cors \
		--namespace oslo.service.sslutils \
		--namespace oslo.service.wsgi \
		--namespace keystonemiddleware.auth_token

	sed -i 's|^[ #\t]*core_plugin[ \t]*=.*|core_plugin = ml2|' $(CURDIR)/debian/neutron-common/usr/share/neutron-common/neutron.conf
	sed -i 's|^[ #\t]*service_plugins[ \t]*=.*|service_plugins = router,metering,qos|' $(CURDIR)/debian/neutron-common/usr/share/neutron-common/neutron.conf
	sed -i 's|^[ #\t]*auth_strategy[ \t]*=.*|auth_strategy = keystone|' $(CURDIR)/debian/neutron-common/usr/share/neutron-common/neutron.conf
	sed -i 's|^[ #\t]*allow_overlapping_ips[ \t]*=.*|allow_overlapping_ips = True|' $(CURDIR)/debian/neutron-common/usr/share/neutron-common/neutron.conf
	sed -i 's|^[ #\t]*notify_nova_on_port_status_changes[ \t]*=.*|notify_nova_on_port_status_changes = True |' $(CURDIR)/debian/neutron-common/usr/share/neutron-common/neutron.conf

## neutron 10.0.7

=== debian/changelog ===
neutron (2:10.0.7-1) unstable; urgency=medium

  * New upstream version
  * d/control: Add me to uploaders field
  * d/copyright: Add me to copyright file
  * Add fix-l3-agent-fails-when-rabbitmq-not-responding.patch

 -- Michal Arbet <michal.arbet@ultimum.io>  Wed, 24 Apr 2019 13:09:19 +0200

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: PKG OpenStack <openstack-devel@lists.alioth.debian.org>
 Uploaders: Thomas Goirand <zigo@debian.org>,
+           Michal Arbet <michal.arbet@ultimum.io>,
            Gustavo Panizzo <gfa@zumbi.com.ar>,
            Ivan Udovichenko <iudovichenko@mirantis.com>,
 Build-Depends: debhelper (>= 10),
@@ -89,8 +90,8 @@
 # python-ryu should be >= 4.5
 Standards-Version: 3.9.8
 Homepage: http://neutron.openstack.org/
-Vcs-Browser: https://anonscm.debian.org/cgit/openstack/neutron.git/
-Vcs-Git: https://anonscm.debian.org/git/openstack/neutron.git
+Vcs-Browser: https://git.openstack.org/cgit/openstack/deb-neutron?h=debian%2Fnewton
+Vcs-Git: https://git.openstack.org/openstack/deb-neutron -b debian/newton
 
 Package: python-neutron
 Architecture: all
@@ -298,5 +299,3 @@
 Depends: adduser,
          debconf,
          lsb-base,
-         neutron-common (= ${source:Version}),
-         ${misc:Depends},
